{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Clientes{% endblock %}
{% block extra_style %}
<link rel="stylesheet" type="text/css" href="{% static 'css/validacion.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/step_wizard.css' %}">
<style>
    .custom-file .custom-file-label:lang(en)::after { content: "Selecciona..."; }
    .visible-add { display: inline-table; }
</style>
{% endblock %}
{% block content %}
<div class="container container-full">
    <div class="card" style="padding: 0">
        <div class="row">
        <div class="col-sm-12" style="position: relative; top: 0; ">
            {% if messages %}
                {% include 'basepartials/_messages.html' %}
            {% endif %}
        </div>
    </div>
        <div class="card-header">
            <h5 class="card-title">Registro de Clientes</h5>
        </div>
        <div class="card-body" style="margin:0;">
            <div class="stepwizard">
                <div class="stepwizard-row setup-panel">
                    <div class="stepwizard-step">
                        <a href="#step-1" type="button" class="btn btn-primary btn-circle">1</a>
                        <p>Cliente</p>
                    </div>
                    <div class="stepwizard-step">
                        <a href="#step-2" type="button" class="btn btn-default btn-circle" disabled="disabled">2</a>
                        <p>Datos de Contacto</p>
                    </div>
                </div>
            </div>
            <form id="client-form" action="" method="post" enctype="multipart/form-data">{% csrf_token %}
           <!-- PRIMER STEP -->
                <div class="row setup-content" id="step-1">
                    <div class="row fullWidth" >
                            <div class="col-sm-4">
                            <div class="form-group">
                                {{ form.type_doc.label_tag}}<i style="color:red;">(*)</i>
                                {{ form.type_doc|addcss:"form-control" }}
                                {% if form.type_doc.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.type_doc.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                {{ form.type_person_sunat.label_tag}}<i style="color:red;">(*)</i>
                                {{ form.type_person_sunat|addcss:"form-control" }}
                                {% if form.type_person_sunat.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.type_person_sunat.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                {{ form.num_doc.label_tag }}<i style="color:red;">(*)</i>
                                {{ form.num_doc|addcss:"form-control" }}
                                {% if form.num_doc.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.num_doc.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                                <span class="ruc-error valid-text" style="display: none;">El RUC ingresado ya está registrado.</span>
                            </div>
                        </div>

                    </div>
                    <div class="row fullWidth" id="row_name">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.name.label_tag }}<i style="color:red;">(*)</i>
                                {{ form.name|addcss:"form-control" }}
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div id="div_nombre_completo" class="row fullWidth">
                        <div class="col-sm-3">
                            <div class="form-group">
                                {{ form.first_name.label_tag}}<i style="color:red;">(*)</i>
                                {{ form.first_name|addcss:"form-control" }}
                                {% if form.first_name.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.first_name.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                {{ form.second_name.label_tag }}
                                {{ form.second_name|addcss:"form-control" }}
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                {{ form.paternal_surname.label_tag}}<i style="color:red;">(*)</i>
                                {{ form.paternal_surname|addcss:"form-control" }}
                                {% if form.paternal_surname.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.paternal_surname.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                {{ form.maternal_surname.label_tag }}
                                {{ form.maternal_surname|addcss:"form-control" }}
                            </div>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-3">
                            <div class="form-group">
                                {{ form.client_group.label_tag}} <i style="color:red;">(*)</i>
                                {{ form.client_group|addcss:"form-control" }}
                            </div>
                        </div>
                        <div class="offset-sm-3 col-sm-4">
                            <div class="form-group">
                                {{ form.email_fact.label_tag}} <i style="color:red;">(*)</i>
                                {{ form.email_fact|addcss:"form-control" }}
                                {% if form.email_fact.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.email_fact.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-8">
                            <div class="form-group">
                                {{ form.comments.label_tag}}
                                {{ form.comments|addcss:"form-control" }}
                            </div>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Adjuntar</label>
                                <div class="custom-file">
                                    {{ form.image }}
                                    <label class="custom-file-label"></label>
                                </div>
                                {% if form.file_doc.errors %}
                                    <p><strong style="color:red;">{{ form.image.errors|striptags }}</strong></p>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-3"></div>
                        <div class="col-sm-6 text-center">
                            <a style="width: 200px" class="btn btn-danger pull-left" href="{% url 'clients:client-list' %}">
                                Cancelar
                            </a>
                            <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
                        </div>
                        <div class="col-sm-4"></div>
                    </div>
                </div>
           <!-- SEGUNDO STEP  -->
                <div class="row setup-content" id="step-2">
                    <div class="row fullWidth">
                        <div class="col-sm-8">
                            <div class="form-group">
                                {{ form.address.label_tag}}
                                {{ form.address|addcss:"form-control" }}
                                {% if form.address.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.address.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-4">
                            <div class="form-group">
                                {{ form.department.label_tag}} <i style="color:red;">(*)</i>
                                {{ form.department|addcss:"form-control" }}
                                {% if form.department.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.department.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="id_province">Provincia</label><i style="color:red;">(*)</i>
                                <select class="form-control" id="id_province" name="province">
                                    <option value=""></option>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="id_district">Distrito</label> <i style="color:red;">(*)</i>
                                <select class="form-control" id="id_district" name="district">
                                    <option value=""></option>
                                </select>
                                {% if form.district.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.district.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="row fullWidth">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.contact_name.label_tag}}
                                {{ form.contact_name|addcss:"form-control" }}
                                {% if form.contact_name.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.contact_name.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.email_contact.label_tag}}
                                {{ form.email_contact|addcss:"form-control" }}
                                {% if form.email_contact.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.email_contact.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>

                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.phone_1.label_tag}}
                                {{ form.phone_1|addcss:"form-control" }}
                                {% if form.phone_1.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.phone_1.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form.phone_2.label_tag}}
                                {{ form.phone_2|addcss:"form-control" }}
                                {% if form.phone_2.errors %}
                                    <p>
                                        <strong class="valid-text" style="color:red;">
                                            {{ form.phone_2.errors|striptags}}
                                        </strong>
                                    </p>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="row fullWidth">
                        <div class="col-sm-3"></div>
                        <div class="col-sm-6 text-center">
                            <a style="width: 200px" class="btn btn-danger pull-left" href="{% url 'clients:client-list' %}">
                                Cancelar
                            </a>
                            <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
                        </div>
                        <div class="col-sm-4"></div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<div id="myModalValidation" class="modal">
    <div class="modal-content">
      {% if form.errors %}
        <div id="close-valid" class="modal-header">
          <h5>
            <strong><i class="glyphicon glyphicon-remove-circle close-valid"></i>&nbsp;Ocurrió un problema al
              registrar el cliente, los siguientes campos son obligatorios:</strong>
          </h5>
                  <span class="close">&times;</span>

        </div>
        <div class="modal-body">
          <ul>
            {% for field in form %}
              {% for error in field.errors %}
                <li>{{ field.label_tag }} {{ error }}</li>
              {% endfor %}
            {% endfor %}
          </ul>
        </div>
      {% endif %}
    </div>
  </div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'js/step_wizard.js' %}"></script>
<script src="{% static 'vendor/select2/js/select2.full.min.js' %}"></script>
<script src="{% static 'js/validacion.js' %}"></script>
<script>
    window.urls = {
        loadProvinces: "{% url 'clients:load-provinces' 999 %}",
        loadDistricts: "{% url 'clients:load-districts' 999 %}",
        validateRuc: "{% url 'clients:validate-ruc' %}",
    };
    var isEdit = "{{ object.pk }}" !== "";
    var districtId = "{{ object.addresses.last.district.pk }}";
    var provinceId = "{{ object.addresses.last.district.province.pk }}";
    var departmentId = "{{ object.addresses.last.district.province.department.pk }}";
    var rucEdit = isEdit ? "{{ object.num_doc }}" : "";
</script>
<script src="{% static 'js/client_create.js' %}"></script>
 <script>
    $(function () {
      var modal = $("#myModalValidation");
      var btn = $("#btn-guardar");
      var span = $("#close-valid");
      {% if form.errors %}
        modal.show();
      {% endif %}
      span.on("click", function (e) {
        modal.hide();
      });
      $(window).click(function (e) {
        if (e.target === modal[0]) {
          modal.hide();
        }
      });
    });
  </script>
{% endblock %}
